#!/bin/sh

mkdir /usr/local/ntpa/
cp bin/* /usr/local/ntpa/
cp script/ntpa.rc /usr/local/etc/rc.d/ntpa

mkdir /usr/local/etc/ntpa
cp example/ntpa.conf /usr/local/etc/ntpa/ntpa.conf
chmod 640 /usr/local/etc/ntpa/ntpa.conf

pw groupadd ntpa
pw adduser ntpa -g ntpa -d /nonexistent -s /usr/sbin/nologin -c "NTP Analyzer user"

mkdir /var/run/ntpa
chown ntpa:ntpa /var/run/ntpa

touch /var/log/ntpa.log
chown ntpa:ntpa /var/log/ntpa.log
