﻿//
// LogConfigurationKeyword.cs
//
// Author:
//       Carsten Sonne Larsen <cs@innolan.dk>
//
// Copyright (c) 2016 Carsten Sonne Larsen
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.

namespace Ntp.Log
{
    public static class LogConfigurationKeyword
    {
        public const string Log = "Log";
        public const string Type = "Type";
        public const string Severity = "Severity";
        public const string ShowTimestamp = "ShowTimestamp";
        public const string ShowSeverity = "ShowSeverity";
        public const string TimeFormat = "TimeFormat";
        public const string File = "File";

        public const string TypeConsole = "Console";
        public const string TypeSyslog = "Syslog";
        public const string TypeFile = "File";
        public const string TypeUnknown = "Unknown";

        public const string TresholdError = "error";
        public const string TresholdWarn = "warn";
        public const string TresholdNotice = "notice";
        public const string TresholdInfo = "info";
        public const string TresholdDebug = "debug";
        public const string TresholdTrace = "trace";
    }
}